com.collabnet.ce.soap60.webservices.discussion

## Class DiscussionAppSoapMockStub

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.ClientSoapStub
  - - com.collabnet.ce.soap60.webservices.ClientSoapMockStub
    - - com.collabnet.ce.soap60.webservices.discussion.DiscussionAppSoapMockStub

- All Implemented Interfaces:
    IDiscussionAppSoap

      public class DiscussionAppSoapMockStub
      extends com.collabnet.ce.soap60.webservices.ClientSoapMockStub
      implements IDiscussionAppSoap

- - ### Field Summary

    - ### Fields inherited from class com.collabnet.ce.soap60.webservices.ClientSoapMockStub

      `DATE_WILDCARD, GUIDKEY_WILDCARD, INTEGER_WILDCARD, LONG_WILDCARD, STRING_WILDCARD`

    - ### Fields inherited from class com.collabnet.ce.soap60.webservices.ClientSoapStub

      `DEFAULT_CLIENT_TIME_OUT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DiscussionAppSoapMockStub(String soapServerUrl)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.vasoftware.sf.server.services.discussion.ForumDO` | `createForum(String sessionId, String projectId, String listName, String forumName, String description, boolean listEnabled, String prefix, String footer, String type, boolean isPrivate, String[] moderators, String[] trustedUsers, String replyTo, int messageSize, int emailPosting, int emailMonitoring, int webPosting, String captcha)` Simulate a call to createForum
    `ForumSoapDO` | `createForum(String sessionId, String projectId, String listName, String forumName, String description, boolean listEnabled, String prefix, String footer, String forumType, String[] moderators, String[] trustedUsers, String replyTo, int messageSize)` Simulate a call to createForum
    `Forum2SoapDO` | `createForum2(String sessionId, String projectId, String listName, String forumName, String description, boolean listEnabled, String prefix, String footer, String forumType, String[] moderators, String[] trustedUsers, String replyTo, int messageSize, int emailPosting, int emailMonitoring, int webPosting, String captcha)` Simulate a call to createForum2
    `PostSoapDO` | `createPost(String sessionId, String parentPostId, String title, String message, String attachmentFileName, String attachmentMimeType, String attachmentFileId, String ccRecipients)` Simulate a call to createPost
    `PostSoapDO` | `createPost2(String sessionId, String parentPostId, String title, String message, AttachmentSoapDO[] attachments, String ccRecipients)` Simulate a call to createPost2
    `ForumSoapDO` | `createPrivateForum(String sessionId, String projectId, String listName, String forumName, String description, boolean listEnabled, String prefix, String footer, String forumType, String[] moderators, String[] trustedUsers, String replyTo, int messageSize)` Simulate a call to createPrivateForum
    `Forum2SoapDO` | `createPrivateForum2(String sessionId, String projectId, String listName, String forumName, String description, boolean listEnabled, String prefix, String footer, String forumType, String[] moderators, String[] trustedUsers, String replyTo, int messageSize, int emailPosting, int emailMonitoring, int webPosting, String captcha)` Simulate a call to createPrivateForum2
    `TopicSoapDO` | `createTopic(String sessionId, String forumId, String title, String message, String attachmentFileName, String attachmentMimeType, String attachmentFileId, String ccRecipients)` Simulate a call to createTopic
    `TopicSoapDO` | `createTopic2(String sessionId, String forumId, String title, String message, AttachmentSoapDO[] attachments, String ccRecipients)` Simulate a call to createTopic2
    `void` | `deletePost(String sessionId, String postId)` Simulate a call to deletePost
    `void` | `deleteTopic(String sessionId, String topicId)` Simulate a call to deleteTopic
    `PostSoapList` | `findPosts(String sessionId, String queryString, String projectId, boolean searchAttachments)` Simulate a call to findPosts
    `ForumSoapList` | `getForumList(String sessionId, String projectId)` Simulate a call to getForumList
    `Forum2SoapList` | `getForumList2(String sessionId, String projectId)` Simulate a call to getForumList2
    `PostSoapList` | `getPostList(String sessionId, String topicId)` Simulate a call to getPostList
    `TopicSoapList` | `getTopicList(String sessionId, String forumId)` Simulate a call to getTopicList
    `void` | `prepareCreateForum(String sessionId, String projectId, String listName, String forumName, String description, boolean listEnabled, String prefix, String footer, String type, boolean isPrivate, String[] moderators, String[] trustedUsers, String replyTo, int messageSize, int emailPosting, int emailMonitoring, int webPosting, String captcha, Object returnValue)` Prepare a simulated response to createForum
    `void` | `prepareCreateForum(String sessionId, String projectId, String listName, String forumName, String description, boolean listEnabled, String prefix, String footer, String forumType, String[] moderators, String[] trustedUsers, String replyTo, int messageSize, Object returnValue)` Prepare a simulated response to createForum
    `void` | `prepareCreateForum2(String sessionId, String projectId, String listName, String forumName, String description, boolean listEnabled, String prefix, String footer, String forumType, String[] moderators, String[] trustedUsers, String replyTo, int messageSize, int emailPosting, int emailMonitoring, int webPosting, String captcha, Object returnValue)` Prepare a simulated response to createForum2
    `void` | `prepareCreatePost(String sessionId, String parentPostId, String title, String message, String attachmentFileName, String attachmentMimeType, String attachmentFileId, String ccRecipients, Object returnValue)` Prepare a simulated response to createPost
    `void` | `prepareCreatePost2(String sessionId, String parentPostId, String title, String message, AttachmentSoapDO[] attachments, String ccRecipients, Object returnValue)` Prepare a simulated response to createPost2
    `void` | `prepareCreatePrivateForum(String sessionId, String projectId, String listName, String forumName, String description, boolean listEnabled, String prefix, String footer, String forumType, String[] moderators, String[] trustedUsers, String replyTo, int messageSize, Object returnValue)` Prepare a simulated response to createPrivateForum
    `void` | `prepareCreatePrivateForum2(String sessionId, String projectId, String listName, String forumName, String description, boolean listEnabled, String prefix, String footer, String forumType, String[] moderators, String[] trustedUsers, String replyTo, int messageSize, int emailPosting, int emailMonitoring, int webPosting, String captcha, Object returnValue)` Prepare a simulated response to createPrivateForum2
    `void` | `prepareCreateTopic(String sessionId, String forumId, String title, String message, String attachmentFileName, String attachmentMimeType, String attachmentFileId, String ccRecipients, Object returnValue)` Prepare a simulated response to createTopic
    `void` | `prepareCreateTopic2(String sessionId, String forumId, String title, String message, AttachmentSoapDO[] attachments, String ccRecipients, Object returnValue)` Prepare a simulated response to createTopic2
    `void` | `prepareDeletePost(String sessionId, String postId)` Prepare a simulated response to deletePost
    `void` | `prepareDeletePost(String sessionId, String postId, Exception exception)` Prepare a simulated response to deletePost
    `void` | `prepareDeleteTopic(String sessionId, String topicId)` Prepare a simulated response to deleteTopic
    `void` | `prepareDeleteTopic(String sessionId, String topicId, Exception exception)` Prepare a simulated response to deleteTopic
    `void` | `prepareFindPosts(String sessionId, String queryString, String projectId, boolean searchAttachments, Object returnValue)` Prepare a simulated response to findPosts
    `void` | `prepareGetForumList(String sessionId, String projectId, Object returnValue)` Prepare a simulated response to getForumList
    `void` | `prepareGetForumList2(String sessionId, String projectId, Object returnValue)` Prepare a simulated response to getForumList2
    `void` | `prepareGetPostList(String sessionId, String topicId, Object returnValue)` Prepare a simulated response to getPostList
    `void` | `prepareGetTopicList(String sessionId, String forumId, Object returnValue)` Prepare a simulated response to getTopicList
    `void` | `prepareValidateCaptcha(String captcha)` Prepare a simulated response to validateCaptcha
    `void` | `prepareValidateCaptcha(String captcha, Exception exception)` Prepare a simulated response to validateCaptcha
    `void` | `prepareValidateEmailMonitoring(int emailMonitoring, boolean isPrivate)` Prepare a simulated response to validateEmailMonitoring
    `void` | `prepareValidateEmailMonitoring(int emailMonitoring, boolean isPrivate, Exception exception)` Prepare a simulated response to validateEmailMonitoring
    `void` | `prepareValidateEmailPosting(int emailPosting, boolean isPrivate)` Prepare a simulated response to validateEmailPosting
    `void` | `prepareValidateEmailPosting(int emailPosting, boolean isPrivate, Exception exception)` Prepare a simulated response to validateEmailPosting
    `void` | `prepareValidatePermissions(com.vasoftware.sf.server.types.ProjectPath projectPath, String[] moderators, boolean isModerator, boolean isPrivate, String loggedInUser)` Prepare a simulated response to validatePermissions
    `void` | `prepareValidatePermissions(com.vasoftware.sf.server.types.ProjectPath projectPath, String[] moderators, boolean isModerator, boolean isPrivate, String loggedInUser, Exception exception)` Prepare a simulated response to validatePermissions
    `void` | `prepareValidateWebPosting(int webPosting, boolean isPrivate)` Prepare a simulated response to validateWebPosting
    `void` | `prepareValidateWebPosting(int webPosting, boolean isPrivate, Exception exception)` Prepare a simulated response to validateWebPosting
    `void` | `validateCaptcha(String captcha)` Simulate a call to validateCaptcha
    `void` | `validateEmailMonitoring(int emailMonitoring, boolean isPrivate)` Simulate a call to validateEmailMonitoring
    `void` | `validateEmailPosting(int emailPosting, boolean isPrivate)` Simulate a call to validateEmailPosting
    `void` | `validatePermissions(com.vasoftware.sf.server.types.ProjectPath projectPath, String[] moderators, boolean isModerator, boolean isPrivate, String loggedInUser)` Simulate a call to validatePermissions
    `void` | `validateWebPosting(int webPosting, boolean isPrivate)` Simulate a call to validateWebPosting

    - ### Methods inherited from class com.collabnet.ce.soap60.webservices.ClientSoapMockStub

      `addSimulatedResult, addSimulatedResult, addSimulatedResult, getCallCount, getCallParameters, getUnusedCalls, simulateCall`

    - ### Methods inherited from class com.collabnet.ce.soap60.webservices.ClientSoapStub

      `getServiceCall, getSoapServer, getTimeout, setTimeout`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DiscussionAppSoapMockStub

          public DiscussionAppSoapMockStub(String soapServerUrl)

  - ### Method Detail

    - #### prepareGetForumList

          public void prepareGetForumList(String sessionId,
                                          String projectId,
                                          Object returnValue)

      Prepare a simulated response to getForumList
      See Also:
        `DiscussionAppSoap.getForumList(java.lang.String, java.lang.String)`

    - #### getForumList

          public ForumSoapList getForumList(String sessionId,
                                            String projectId)
                                     throws RemoteException

      Simulate a call to getForumList
      Specified by:
        `getForumList` in interface `IDiscussionAppSoap`
      Parameters:
        `sessionId` - The user session id
        `projectId` - The id of the project
      Returns:
        The list of forums within the specified project
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified project id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `DiscussionAppSoap.getForumList(java.lang.String, java.lang.String)`

    - #### prepareGetForumList2

          public void prepareGetForumList2(String sessionId,
                                           String projectId,
                                           Object returnValue)

      Prepare a simulated response to getForumList2
      See Also:
        `DiscussionAppSoap.getForumList2(java.lang.String, java.lang.String)`

    - #### getForumList2

          public Forum2SoapList getForumList2(String sessionId,
                                              String projectId)
                                       throws RemoteException

      Simulate a call to getForumList2
      Specified by:
        `getForumList2` in interface `IDiscussionAppSoap`
      Parameters:
        `sessionId` - The user session id
        `projectId` - The id of the project
      Returns:
        The list of forums within the specified project
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified project id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `DiscussionAppSoap.getForumList2(java.lang.String, java.lang.String)`

    - #### prepareCreateTopic

          public void prepareCreateTopic(String sessionId,
                                         String forumId,
                                         String title,
                                         String message,
                                         String attachmentFileName,
                                         String attachmentMimeType,
                                         String attachmentFileId,
                                         String ccRecipients,
                                         Object returnValue)

      Prepare a simulated response to createTopic
      See Also:
        `DiscussionAppSoap.createTopic(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### createTopic

          public TopicSoapDO createTopic(String sessionId,
                                         String forumId,
                                         String title,
                                         String message,
                                         String attachmentFileName,
                                         String attachmentMimeType,
                                         String attachmentFileId,
                                         String ccRecipients)
                                  throws RemoteException

      Simulate a call to createTopic
      Specified by:
        `createTopic` in interface `IDiscussionAppSoap`
      Parameters:
        `sessionId` - User session id.
        `forumId` - The id of the forum in which to create a topic.
        `title` - The topic title
        `message` - The content for the first post of this topic
        `attachmentFileName` - Name of the attached file (or null)
        `attachmentMimeType` - Mime type of the attached file (or null)
        `attachmentFileId` - ID of the attached file (previously uploaded via *FileStorage service) or null
        `ccRecipients` - list of recipients to whom the mail should be cc'd
      Returns:
        the TopicSoapData Object
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when one or more parameters are invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `DiscussionAppSoap.createTopic(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareCreateTopic2

          public void prepareCreateTopic2(String sessionId,
                                          String forumId,
                                          String title,
                                          String message,
                                          AttachmentSoapDO[] attachments,
                                          String ccRecipients,
                                          Object returnValue)

      Prepare a simulated response to createTopic2
      See Also:
        `DiscussionAppSoap.createTopic2(java.lang.String, java.lang.String, java.lang.String, java.lang.String, com.collabnet.ce.soap60.webservices.cemain.AttachmentSoapDO[], java.lang.String)`

    - #### createTopic2

          public TopicSoapDO createTopic2(String sessionId,
                                          String forumId,
                                          String title,
                                          String message,
                                          AttachmentSoapDO[] attachments,
                                          String ccRecipients)
                                   throws RemoteException

      Simulate a call to createTopic2
      Specified by:
        `createTopic2` in interface `IDiscussionAppSoap`
      Parameters:
        `sessionId` - User session id.
        `forumId` - The id of the forum in which to create a topic.
        `title` - The topic title
        `message` - The content for the first post of this topic
        `attachments` - List of attachment Files.
        `ccRecipients` - list of recipients to whom the mail should be cc'd
      Returns:
        the TopicSoapData Object
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when one or more parameters are invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `DiscussionAppSoap.createTopic2(java.lang.String, java.lang.String, java.lang.String, java.lang.String, com.collabnet.ce.soap60.webservices.cemain.AttachmentSoapDO[], java.lang.String)`

    - #### prepareDeleteTopic

          public void prepareDeleteTopic(String sessionId,
                                         String topicId)

      Prepare a simulated response to deleteTopic
      See Also:
        `DiscussionAppSoap.deleteTopic(java.lang.String, java.lang.String)`

    - #### prepareDeleteTopic

          public void prepareDeleteTopic(String sessionId,
                                         String topicId,
                                         Exception exception)

      Prepare a simulated response to deleteTopic
      See Also:
        `DiscussionAppSoap.deleteTopic(java.lang.String, java.lang.String)`

    - #### deleteTopic

          public void deleteTopic(String sessionId,
                                  String topicId)
                           throws RemoteException

      Simulate a call to deleteTopic
      Specified by:
        `deleteTopic` in interface `IDiscussionAppSoap`
      Parameters:
        `sessionId` - User session id.
        `topicId` - The id of the topic to delete.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `DiscussionAppSoap.deleteTopic(java.lang.String, java.lang.String)`

    - #### prepareGetTopicList

          public void prepareGetTopicList(String sessionId,
                                          String forumId,
                                          Object returnValue)

      Prepare a simulated response to getTopicList
      See Also:
        `DiscussionAppSoap.getTopicList(java.lang.String, java.lang.String)`

    - #### getTopicList

          public TopicSoapList getTopicList(String sessionId,
                                            String forumId)
                                     throws RemoteException

      Simulate a call to getTopicList
      Specified by:
        `getTopicList` in interface `IDiscussionAppSoap`
      Parameters:
        `sessionId` - The user session id
        `forumId` - The id of the forum for which we want the topics
      Returns:
        The TopicSummarySoapList of all topics in the forum
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `DiscussionAppSoap.getTopicList(java.lang.String, java.lang.String)`

    - #### prepareCreatePost

          public void prepareCreatePost(String sessionId,
                                        String parentPostId,
                                        String title,
                                        String message,
                                        String attachmentFileName,
                                        String attachmentMimeType,
                                        String attachmentFileId,
                                        String ccRecipients,
                                        Object returnValue)

      Prepare a simulated response to createPost
      See Also:
        `DiscussionAppSoap.createPost(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### createPost

          public PostSoapDO createPost(String sessionId,
                                       String parentPostId,
                                       String title,
                                       String message,
                                       String attachmentFileName,
                                       String attachmentMimeType,
                                       String attachmentFileId,
                                       String ccRecipients)
                                throws RemoteException

      Simulate a call to createPost
      Specified by:
        `createPost` in interface `IDiscussionAppSoap`
      Parameters:
        `sessionId` - The user session id.
        `parentPostId` - Parent post to which this is a reply.
        `title` - Post title.
        `message` - Post message.
        `attachmentFileName` - Name of the attached file (or null)
        `attachmentMimeType` - Mime type of the attached file (or null)
        `attachmentFileId` - ID of the attached file (previously uploaded via *FileStorage service) or null
        `ccRecipients` - list of recipients to whom the mail should be cc'd
      Returns:
        Newly created post object data.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified parent post id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when one or more parameters are invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `DiscussionAppSoap.createPost(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareCreatePost2

          public void prepareCreatePost2(String sessionId,
                                         String parentPostId,
                                         String title,
                                         String message,
                                         AttachmentSoapDO[] attachments,
                                         String ccRecipients,
                                         Object returnValue)

      Prepare a simulated response to createPost2
      See Also:
        `DiscussionAppSoap.createPost2(java.lang.String, java.lang.String, java.lang.String, java.lang.String, com.collabnet.ce.soap60.webservices.cemain.AttachmentSoapDO[], java.lang.String)`

    - #### createPost2

          public PostSoapDO createPost2(String sessionId,
                                        String parentPostId,
                                        String title,
                                        String message,
                                        AttachmentSoapDO[] attachments,
                                        String ccRecipients)
                                 throws RemoteException

      Simulate a call to createPost2
      Specified by:
        `createPost2` in interface `IDiscussionAppSoap`
      Parameters:
        `sessionId` - The user session id.
        `parentPostId` - Parent post to which this is a reply.
        `title` - Post title.
        `message` - Post message.
        `attachments` - List of attachment files.
        `ccRecipients` - list of recipients to whom the mail should be cc'd
      Returns:
        Newly created post object data.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified parent post id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when one or more parameters are invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `DiscussionAppSoap.createPost2(java.lang.String, java.lang.String, java.lang.String, java.lang.String, com.collabnet.ce.soap60.webservices.cemain.AttachmentSoapDO[], java.lang.String)`

    - #### prepareDeletePost

          public void prepareDeletePost(String sessionId,
                                        String postId)

      Prepare a simulated response to deletePost
      See Also:
        `DiscussionAppSoap.deletePost(java.lang.String, java.lang.String)`

    - #### prepareDeletePost

          public void prepareDeletePost(String sessionId,
                                        String postId,
                                        Exception exception)

      Prepare a simulated response to deletePost
      See Also:
        `DiscussionAppSoap.deletePost(java.lang.String, java.lang.String)`

    - #### deletePost

          public void deletePost(String sessionId,
                                 String postId)
                          throws RemoteException

      Simulate a call to deletePost
      Specified by:
        `deletePost` in interface `IDiscussionAppSoap`
      Parameters:
        `sessionId` - User session id.
        `postId` - The id of the post to delete.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when specified post id is the first post in a topic.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `DiscussionAppSoap.deletePost(java.lang.String, java.lang.String)`

    - #### prepareGetPostList

          public void prepareGetPostList(String sessionId,
                                         String topicId,
                                         Object returnValue)

      Prepare a simulated response to getPostList
      See Also:
        `DiscussionAppSoap.getPostList(java.lang.String, java.lang.String)`

    - #### getPostList

          public PostSoapList getPostList(String sessionId,
                                          String topicId)
                                   throws RemoteException

      Simulate a call to getPostList
      Specified by:
        `getPostList` in interface `IDiscussionAppSoap`
      Parameters:
        `sessionId` - User session id.
        `topicId` - Topic id.
      Returns:
        List of posts on this topic.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified topic id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      See Also:
        `DiscussionAppSoap.getPostList(java.lang.String, java.lang.String)`

    - #### prepareFindPosts

          public void prepareFindPosts(String sessionId,
                                       String queryString,
                                       String projectId,
                                       boolean searchAttachments,
                                       Object returnValue)

      Prepare a simulated response to findPosts
      See Also:
        `DiscussionAppSoap.findPosts(java.lang.String, java.lang.String, java.lang.String, boolean)`

    - #### findPosts

          public PostSoapList findPosts(String sessionId,
                                        String queryString,
                                        String projectId,
                                        boolean searchAttachments)
                                 throws RemoteException

      Simulate a call to findPosts
      Specified by:
        `findPosts` in interface `IDiscussionAppSoap`
      Parameters:
        `sessionId` - User session id.
        `queryString` - Query string.
        `projectId` - The project in which to find posts. (if null, search all projects)
        `searchAttachments` - Whether to search attachments.
      Returns:
        List of posts matching search criteria.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified project id is invalid.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when query string is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SearchQuerySyntaxFault` - when the specified search query string is syntactically invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      See Also:
        `DiscussionAppSoap.findPosts(java.lang.String, java.lang.String, java.lang.String, boolean)`

    - #### prepareCreateForum

          public void prepareCreateForum(String sessionId,
                                         String projectId,
                                         String listName,
                                         String forumName,
                                         String description,
                                         boolean listEnabled,
                                         String prefix,
                                         String footer,
                                         String forumType,
                                         String[] moderators,
                                         String[] trustedUsers,
                                         String replyTo,
                                         int messageSize,
                                         Object returnValue)

      Prepare a simulated response to createForum
      See Also:
        `DiscussionAppSoap.createForum(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, boolean, java.lang.String, java.lang.String, java.lang.String, java.lang.String[], java.lang.String[], java.lang.String, int)`

    - #### createForum

          public ForumSoapDO createForum(String sessionId,
                                         String projectId,
                                         String listName,
                                         String forumName,
                                         String description,
                                         boolean listEnabled,
                                         String prefix,
                                         String footer,
                                         String forumType,
                                         String[] moderators,
                                         String[] trustedUsers,
                                         String replyTo,
                                         int messageSize)
                                  throws RemoteException

      Simulate a call to createForum
      Specified by:
        `createForum` in interface `IDiscussionAppSoap`
      Parameters:
        `sessionId` - User session id
        `projectId` - the project in which the forum is to be created
        `listName` - name of the associated mailing list
        `forumName` - Name for the forum
        `description` - description of the forum
        `listEnabled` - is a mailing list enabled with this forum
        `prefix` - prefix to be added to the subject of all posts to this forum
        `footer` - footer to be appended to the bottom of every mail in this forum
        `forumType` - whether the forum should be moderated. Moderated -'MF'; Unmoderated - 'UF'
        `moderators` - The userId's for persons to be added as moderators for this forum.
        `trustedUsers` - The userId's for persons to be added as trusted for this forum.
        `replyTo` - The value of reply header for the post's mail in this forum. The following are available options: "REPLYTOSENDER" Add sender's mail address as replyto header "REPLYTOLIST" Add list name as replyto header "NOREPLYTO" Do not add replyto header "xxx@host.domain" Add the given email address as replyto header
        `messageSize` - threshold size (MB) of message content and attachment of any posts in a forum. Set 0 for unlimited message size.
      Returns:
        a data object of the created forum
      Throws:
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - thrown when the given parameters are invalid.
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified project id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.ObjectAlreadyExistsFault` - when an object by this name already exists in the project.
        `com.collabnet.ce.soap60.fault.InvalidForumTypeFault` - when type is other than MF or UF.
        `RemoteException`
      See Also:
        `DiscussionAppSoap.createForum(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, boolean, java.lang.String, java.lang.String, java.lang.String, java.lang.String[], java.lang.String[], java.lang.String, int)`

    - #### prepareCreateForum2

          public void prepareCreateForum2(String sessionId,
                                          String projectId,
                                          String listName,
                                          String forumName,
                                          String description,
                                          boolean listEnabled,
                                          String prefix,
                                          String footer,
                                          String forumType,
                                          String[] moderators,
                                          String[] trustedUsers,
                                          String replyTo,
                                          int messageSize,
                                          int emailPosting,
                                          int emailMonitoring,
                                          int webPosting,
                                          String captcha,
                                          Object returnValue)

      Prepare a simulated response to createForum2
      See Also:
        `DiscussionAppSoap.createForum2(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, boolean, java.lang.String, java.lang.String, java.lang.String, java.lang.String[], java.lang.String[], java.lang.String, int, int, int, int, java.lang.String)`

    - #### createForum2

          public Forum2SoapDO createForum2(String sessionId,
                                           String projectId,
                                           String listName,
                                           String forumName,
                                           String description,
                                           boolean listEnabled,
                                           String prefix,
                                           String footer,
                                           String forumType,
                                           String[] moderators,
                                           String[] trustedUsers,
                                           String replyTo,
                                           int messageSize,
                                           int emailPosting,
                                           int emailMonitoring,
                                           int webPosting,
                                           String captcha)
                                    throws RemoteException

      Simulate a call to createForum2
      Specified by:
        `createForum2` in interface `IDiscussionAppSoap`
      Parameters:
        `sessionId` - User session id
        `projectId` - the project in which the forum is to be created
        `listName` - name of the associated mailing list
        `forumName` - Name for the forum
        `description` - description of the forum
        `listEnabled` - is a mailing list enabled with this forum
        `prefix` - prefix to be added to the subject of all posts to this forum
        `footer` - footer to be appended to the bottom of every mail in this forum
        `forumType` - whether the forum should be moderated. Moderated -'MF'; Unmoderated - 'UF'
        `moderators` - The userId's for persons to be added as moderators for this forum.
        `trustedUsers` - The userId's for persons to be added as trusted for this forum.
        `replyTo` - The value of reply header for the post's mail in this forum. The following are available options: "REPLYTOSENDER" Add sender's mail address as replyto header "REPLYTOLIST" Add list name as replyto header "NOREPLYTO" Do not add replyto header "xxx@host.domain" Add the given email address as replyto header
        `messageSize` - threshold size (MB) of message content and attachment of any posts in a forum. Set 0 for unlimited message size.
        `emailPosting` - This will be ignored if mailing list is not enabled. The email posting setting for the forum, permissible values for this are: 0 - Allow only forum admins 1 - Users with roles and permissions 4 - All logged in users 5 - All known email addresses only 6 - Allow all site users and guests
        `emailMonitoring` - This will be ignored if mailing list is not enabled. The email monitoring setting for the forum, permissible values for this are: 0 - Allow only forum admins 1 - Users with roles and permissions 4 - All logged in users 5 - Allow all site users and guests
        `webPosting` - The web posting setting for the forum, permissible values for this are: 0 - Allow only forum admins 1 - Users with roles and permissions 2 - All logged in users 3 - Allow all site users and guests
        `captcha` - whether CAPTCHA to be enforced for all web posts, only for logged-out users or for nobody. Permissible values for this are: "AL" - Use CAPTCHA for all web posts "AN" - Use CAPTCHA for anonymous web posts only "NO" - Do not use CAPTCHA for any web posts
      Returns:
        a data object of the created forum
      Throws:
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - thrown when the given parameters are invalid.
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified project id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.ObjectAlreadyExistsFault` - when an object by this name already exists in the project.
        `com.collabnet.ce.soap60.fault.InvalidForumTypeFault` - when type is other than MF or UF.
        `RemoteException`
      See Also:
        `DiscussionAppSoap.createForum2(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, boolean, java.lang.String, java.lang.String, java.lang.String, java.lang.String[], java.lang.String[], java.lang.String, int, int, int, int, java.lang.String)`

    - #### prepareCreatePrivateForum

          public void prepareCreatePrivateForum(String sessionId,
                                                String projectId,
                                                String listName,
                                                String forumName,
                                                String description,
                                                boolean listEnabled,
                                                String prefix,
                                                String footer,
                                                String forumType,
                                                String[] moderators,
                                                String[] trustedUsers,
                                                String replyTo,
                                                int messageSize,
                                                Object returnValue)

      Prepare a simulated response to createPrivateForum
      See Also:
        `DiscussionAppSoap.createPrivateForum(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, boolean, java.lang.String, java.lang.String, java.lang.String, java.lang.String[], java.lang.String[], java.lang.String, int)`

    - #### createPrivateForum

          public ForumSoapDO createPrivateForum(String sessionId,
                                                String projectId,
                                                String listName,
                                                String forumName,
                                                String description,
                                                boolean listEnabled,
                                                String prefix,
                                                String footer,
                                                String forumType,
                                                String[] moderators,
                                                String[] trustedUsers,
                                                String replyTo,
                                                int messageSize)
                                         throws RemoteException

      Simulate a call to createPrivateForum
      Specified by:
        `createPrivateForum` in interface `IDiscussionAppSoap`
      Parameters:
        `sessionId` - User session id
        `projectId` - the project in which the forum is to be created
        `listName` - name of the associated mailing list
        `forumName` - Name for the forum
        `description` - description of the forum
        `listEnabled` - is a mailing list enabled with this forum
        `prefix` - prefix to be added to the subject of all posts to this forum
        `footer` - footer to be appended to the bottom of every mail in this forum
        `forumType` - whether the forum should be moderated. Moderated -'MF'; Unmoderated - 'UF'
        `moderators` - The userId's for persons to be added as moderators for this forum.
        `trustedUsers` - The userId's for persons to be added as trusted for this forum.
        `replyTo` - The value of reply header for the post's mail in this forum. The following are available options: "REPLYTOSENDER" Add sender's mail address as replyto header "REPLYTOLIST" Add list name as replyto header "NOREPLYTO" Do not add replyto header "xxx@host.domain" Add the given email address as replyto header
        `messageSize` - threshold size of message content and attachment of any posts in a forum
      Returns:
        a data object of the created forum
      Throws:
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - thrown when the given parameters are invalid.
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified project id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.ObjectAlreadyExistsFault` - when an object by this name already exists in the project.
        `com.collabnet.ce.soap60.fault.InvalidForumTypeFault` - when type is other than MF or UF.
        `RemoteException`
      See Also:
        `DiscussionAppSoap.createPrivateForum(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, boolean, java.lang.String, java.lang.String, java.lang.String, java.lang.String[], java.lang.String[], java.lang.String, int)`

    - #### prepareCreatePrivateForum2

          public void prepareCreatePrivateForum2(String sessionId,
                                                 String projectId,
                                                 String listName,
                                                 String forumName,
                                                 String description,
                                                 boolean listEnabled,
                                                 String prefix,
                                                 String footer,
                                                 String forumType,
                                                 String[] moderators,
                                                 String[] trustedUsers,
                                                 String replyTo,
                                                 int messageSize,
                                                 int emailPosting,
                                                 int emailMonitoring,
                                                 int webPosting,
                                                 String captcha,
                                                 Object returnValue)

      Prepare a simulated response to createPrivateForum2
      See Also:
        `DiscussionAppSoap.createPrivateForum2(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, boolean, java.lang.String, java.lang.String, java.lang.String, java.lang.String[], java.lang.String[], java.lang.String, int, int, int, int, java.lang.String)`

    - #### createPrivateForum2

          public Forum2SoapDO createPrivateForum2(String sessionId,
                                                  String projectId,
                                                  String listName,
                                                  String forumName,
                                                  String description,
                                                  boolean listEnabled,
                                                  String prefix,
                                                  String footer,
                                                  String forumType,
                                                  String[] moderators,
                                                  String[] trustedUsers,
                                                  String replyTo,
                                                  int messageSize,
                                                  int emailPosting,
                                                  int emailMonitoring,
                                                  int webPosting,
                                                  String captcha)
                                           throws RemoteException

      Simulate a call to createPrivateForum2
      Specified by:
        `createPrivateForum2` in interface `IDiscussionAppSoap`
      Parameters:
        `sessionId` - User session id
        `projectId` - the project in which the forum is to be created
        `listName` - name of the associated mailing list
        `forumName` - Name for the forum
        `description` - description of the forum
        `listEnabled` - is a mailing list enabled with this forum
        `prefix` - prefix to be added to the subject of all posts to this forum
        `footer` - footer to be appended to the bottom of every mail in this forum
        `forumType` - whether the forum should be moderated. Moderated -'MF'; Unmoderated - 'UF'
        `moderators` - The userId's for persons to be added as moderators for this forum.
        `trustedUsers` - The userId's for persons to be added as trusted for this forum.
        `replyTo` - The value of reply header for the post's mail in this forum. The following are available options: "REPLYTOSENDER" Add sender's mail address as replyto header "REPLYTOLIST" Add list name as replyto header "NOREPLYTO" Do not add replyto header "xxx@host.domain" Add the given email address as replyto header
        `messageSize` - threshold size of message content and attachment of any posts in a forum
        `emailPosting` - This will be ignored if mailing list is not enabled. The email posting setting for the forum, the permissible values are: 0 - Allow only forum admins 1 - Users with roles and permissions 4 - All logged in users 5 - All known email addresses only
        `emailMonitoring` - This will be ignored if mailing list is not enabled. The email monitoring setting for the forum, the permissible values are: 0 - Allow only forum admins 1 - Users with roles and permissions 4 - All logged in users
        `webPosting` - The web posting setting for the forum, permissible values for this are: 0 - Allow only forum admins 1 - Users with roles and permissions
        `captcha` - whether CAPTCHA to be enforced for all web posts, only for logged-out users or for nobody. Permissible values for this are: "AL" - Use CAPTCHA for all web posts "AN" - Use CAPTCHA for anonymous web posts only "NO" - Do not use CAPTCHA for any web posts
      Returns:
        a data object of the created forum
      Throws:
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - thrown when the given parameters are invalid.
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified project id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.ObjectAlreadyExistsFault` - when an object by this name already exists in the project.
        `com.collabnet.ce.soap60.fault.InvalidForumTypeFault` - when type is other than MF or UF.
        `RemoteException`
      See Also:
        `DiscussionAppSoap.createPrivateForum2(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, boolean, java.lang.String, java.lang.String, java.lang.String, java.lang.String[], java.lang.String[], java.lang.String, int, int, int, int, java.lang.String)`

    - #### prepareCreateForum

          public void prepareCreateForum(String sessionId,
                                         String projectId,
                                         String listName,
                                         String forumName,
                                         String description,
                                         boolean listEnabled,
                                         String prefix,
                                         String footer,
                                         String type,
                                         boolean isPrivate,
                                         String[] moderators,
                                         String[] trustedUsers,
                                         String replyTo,
                                         int messageSize,
                                         int emailPosting,
                                         int emailMonitoring,
                                         int webPosting,
                                         String captcha,
                                         Object returnValue)

      Prepare a simulated response to createForum
      See Also:
        `DiscussionAppSoap.createForum(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, boolean, java.lang.String, java.lang.String, java.lang.String, java.lang.String[], java.lang.String[], java.lang.String, int)`

    - #### createForum

          public com.vasoftware.sf.server.services.discussion.ForumDO createForum(String sessionId,
                                                                                  String projectId,
                                                                                  String listName,
                                                                                  String forumName,
                                                                                  String description,
                                                                                  boolean listEnabled,
                                                                                  String prefix,
                                                                                  String footer,
                                                                                  String type,
                                                                                  boolean isPrivate,
                                                                                  String[] moderators,
                                                                                  String[] trustedUsers,
                                                                                  String replyTo,
                                                                                  int messageSize,
                                                                                  int emailPosting,
                                                                                  int emailMonitoring,
                                                                                  int webPosting,
                                                                                  String captcha)
                                                                           throws RemoteException

      Simulate a call to createForum
      Throws:
        `RemoteException`
      See Also:
        `DiscussionAppSoap.createForum(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, boolean, java.lang.String, java.lang.String, java.lang.String, java.lang.String[], java.lang.String[], java.lang.String, int)`

    - #### prepareValidatePermissions

          public void prepareValidatePermissions(com.vasoftware.sf.server.types.ProjectPath projectPath,
                                                 String[] moderators,
                                                 boolean isModerator,
                                                 boolean isPrivate,
                                                 String loggedInUser)

      Prepare a simulated response to validatePermissions
      See Also:
        `DiscussionAppSoap.validatePermissions(com.vasoftware.sf.server.types.ProjectPath, java.lang.String[], boolean, boolean, java.lang.String)`

    - #### prepareValidatePermissions

          public void prepareValidatePermissions(com.vasoftware.sf.server.types.ProjectPath projectPath,
                                                 String[] moderators,
                                                 boolean isModerator,
                                                 boolean isPrivate,
                                                 String loggedInUser,
                                                 Exception exception)

      Prepare a simulated response to validatePermissions
      See Also:
        `DiscussionAppSoap.validatePermissions(com.vasoftware.sf.server.types.ProjectPath, java.lang.String[], boolean, boolean, java.lang.String)`

    - #### validatePermissions

          public void validatePermissions(com.vasoftware.sf.server.types.ProjectPath projectPath,
                                          String[] moderators,
                                          boolean isModerator,
                                          boolean isPrivate,
                                          String loggedInUser)
                                   throws RemoteException

      Simulate a call to validatePermissions
      Throws:
        `RemoteException`
      See Also:
        `DiscussionAppSoap.validatePermissions(com.vasoftware.sf.server.types.ProjectPath, java.lang.String[], boolean, boolean, java.lang.String)`

    - #### prepareValidateEmailPosting

          public void prepareValidateEmailPosting(int emailPosting,
                                                  boolean isPrivate)

      Prepare a simulated response to validateEmailPosting
      See Also:
        `DiscussionAppSoap.validateEmailPosting(int, boolean)`

    - #### prepareValidateEmailPosting

          public void prepareValidateEmailPosting(int emailPosting,
                                                  boolean isPrivate,
                                                  Exception exception)

      Prepare a simulated response to validateEmailPosting
      See Also:
        `DiscussionAppSoap.validateEmailPosting(int, boolean)`

    - #### validateEmailPosting

          public void validateEmailPosting(int emailPosting,
                                           boolean isPrivate)
                                    throws RemoteException

      Simulate a call to validateEmailPosting
      Throws:
        `RemoteException`
      See Also:
        `DiscussionAppSoap.validateEmailPosting(int, boolean)`

    - #### prepareValidateWebPosting

          public void prepareValidateWebPosting(int webPosting,
                                                boolean isPrivate)

      Prepare a simulated response to validateWebPosting
      See Also:
        `DiscussionAppSoap.validateWebPosting(int, boolean)`

    - #### prepareValidateWebPosting

          public void prepareValidateWebPosting(int webPosting,
                                                boolean isPrivate,
                                                Exception exception)

      Prepare a simulated response to validateWebPosting
      See Also:
        `DiscussionAppSoap.validateWebPosting(int, boolean)`

    - #### validateWebPosting

          public void validateWebPosting(int webPosting,
                                         boolean isPrivate)
                                  throws RemoteException

      Simulate a call to validateWebPosting
      Throws:
        `RemoteException`
      See Also:
        `DiscussionAppSoap.validateWebPosting(int, boolean)`

    - #### prepareValidateEmailMonitoring

          public void prepareValidateEmailMonitoring(int emailMonitoring,
                                                     boolean isPrivate)

      Prepare a simulated response to validateEmailMonitoring
      See Also:
        `DiscussionAppSoap.validateEmailMonitoring(int, boolean)`

    - #### prepareValidateEmailMonitoring

          public void prepareValidateEmailMonitoring(int emailMonitoring,
                                                     boolean isPrivate,
                                                     Exception exception)

      Prepare a simulated response to validateEmailMonitoring
      See Also:
        `DiscussionAppSoap.validateEmailMonitoring(int, boolean)`

    - #### validateEmailMonitoring

          public void validateEmailMonitoring(int emailMonitoring,
                                              boolean isPrivate)
                                       throws RemoteException

      Simulate a call to validateEmailMonitoring
      Throws:
        `RemoteException`
      See Also:
        `DiscussionAppSoap.validateEmailMonitoring(int, boolean)`

    - #### prepareValidateCaptcha

          public void prepareValidateCaptcha(String captcha)

      Prepare a simulated response to validateCaptcha
      See Also:
        `DiscussionAppSoap.validateCaptcha(java.lang.String)`

    - #### prepareValidateCaptcha

          public void prepareValidateCaptcha(String captcha,
                                             Exception exception)

      Prepare a simulated response to validateCaptcha
      See Also:
        `DiscussionAppSoap.validateCaptcha(java.lang.String)`

    - #### validateCaptcha

          public void validateCaptcha(String captcha)
                               throws RemoteException

      Simulate a call to validateCaptcha
      Throws:
        `RemoteException`
      See Also:
        `DiscussionAppSoap.validateCaptcha(java.lang.String)`

Copyright © 2019 CollabNet. All rights reserved.